﻿
/*DESKTOP [BEGIN] *****************************/

/*Common CSS [BEGIN]*/
body { background-color: #fff; overflow-y: scroll; overflow-x: hidden; width:100% !important; max-width: 100% !important; padding-top: 0 !important }
[v-cloak] { display: none; }
.std-font { font-family: "proxima-nova", "Helvetica Neue",Helvetica,Arial,sans-serif; font-size: 14px; }
.std-grey-border { border: solid 1px #DDDDDD; }
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button { -webkit-appearance: none; margin: 0; }
input[type="number"] { -moz-appearance: textfield; }
#filter-button { display: none; }

.rfq-popup-title { line-height: 26px; font-size: 24px; margin-top: 20px; margin-bottom: 10px; font-family: "Helvetica Neue",Helvetica,Arial,sans-serif; }
/*Common CSS [END]*/

.category-container { width: 100%; max-width: 1200px; margin: 0 auto; display: none; min-width: 350px !important; }
    .category-container .breadcrumb-container { margin-bottom: 20px; }
        .category-container .breadcrumb-container a { display: inline-block; margin-right: 10px; text-decoration: none; color: #AFAFAF !important; }
            .category-container .breadcrumb-container a:after { content: ">"; margin-left: 10px; }
            .category-container .breadcrumb-container a:last-child:after { content: ""; margin-left: 0px; }

    .category-container h1.page-title { border-left: 5px solid var(--bgcolor-theme); padding-left: .4em; font-size: 30px; margin: 0 0 27px 0; line-height: 1.2em; }
    .category-container .box-left { width: 17.3%; display: block; float: left; padding-right: 10px; }
        .category-container .box-left .brand-links { margin: 0px 0 8px 0px; text-decoration: none; display: inline-block; }
        .category-container .box-left .related-categories-container { }
            .category-container .box-left .related-categories-container .related-categories-link { text-decoration: none; display: inline-block; margin: 0px 0px; }
        .category-container .box-left .h2 { font-weight: bold; font-size: 20px; margin: 0; padding: 0; }
            .category-container .box-left .h2:after { content: " "; border-bottom: solid 4px var(--bgcolor-theme); display: block; width: 100%; padding: 0; margin: 0; margin-bottom: 20px; margin-top: 3px; }
            .related-category-mobile .h2:after { content: " "; border-bottom: solid 4px var(--bgcolor-theme); display: block; width: 185px; padding: 0; margin: 0; margin-bottom: 20px; }

        .category-container .box-left .insights { margin: 25px 6px 0 0px; }
            .category-container .box-left .insights .title { font-weight: bold; font-size: 20px; line-height: 1.2em; }
            .category-container .box-left .insights .content { margin-top: 10px; }

    .category-container .related-articles { margin-top: 20px; display: none; }
        .category-container .related-articles .title { font-weight: bold; font-size: 20px; margin: 0; padding: 0; }
            .category-container .related-articles .title::after { content: " "; border-bottom: solid 4px var(--bgcolor-theme); display: block; width: 160px; padding: 0; margin: 0; margin-bottom: 20px; }
        .category-container .related-articles ul { list-style: none; padding: 0; display: inline-block; width: 100%; }
            .category-container .related-articles ul li { width: 32%; float: left; margin: 0 15px 25px 0; box-sizing: border-box;}
                .category-container .related-articles ul li a { transition: all 0.3s; }
                    .category-container .related-articles ul li a .article-image { display: inline-block; border: solid 1px #DDDDDD; width: 35%; vertical-align: top; }
                    .category-container .related-articles ul li a .article-title { display: inline-block; margin-left: 6px; font-weight: bold; width: 55%; }

    .category-container .category-description { margin: 25px 0px 0 0px; }
        .category-container .category-description .content { margin-top: 10px; }
        .category-container .category-description .title { font-weight: bold; font-size: 20px; margin: 0; padding: 0; }
            .category-container .category-description .title:after { content: " "; border-bottom: solid 4px var(--bgcolor-theme); display: block; width: 205px; padding: 0; margin: 0; margin-bottom: 20px; }

    .category-container .box-right { width: 82%; display: block; float: right; }
        .category-container .box-right .product-item { border: solid 1px #DDDDDD; margin: 0 1.4% 20px 0; height: auto; width: 18.8%; display: inline-block; box-sizing: border-box; transition: all 0.3s; vertical-align:top !important; }
            .category-container .box-right .product-item:nth-of-type(5n) { margin-right: 0; }
            .category-container .box-right .product-item:hover { box-shadow: 0px 0px 3px 3px rgba(67,67,67,0.15); }

            .category-container .box-right .product-item a { text-decoration: none !important; display: inline-block; box-sizing: border-box; }
                .category-container .box-right .product-item a:focus { color: #333; }
            .category-container .box-right .product-item img { border: none; border-bottom: solid 0px #DDDDDD; }
            .category-container .box-right .product-item .product-image-container { border: solid 0px #DDDDDD; position: relative; }
            .category-container .box-right .product-item .product-title { padding: 5px; margin-top: 5px; line-height: 1.3em; height: 40px; max-height: 40px; display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; font-size: 15px; }
            .category-container .box-right .product-item .product-brand-name { color: #333; text-align: right !important; font-size: 12px; font-weight: bold !important; padding-right: 4px; }

            .category-container .box-right .product-item .supplier-logo { width: 100px; margin-left: 5px; margin-top: 5px; float: left; }
            .category-container .box-right .product-item span.btn-call { float: right; color: #434343 !important; margin: 9px 7px 0 0; cursor: pointer; }
                .category-container .box-right .product-item span.btn-call:hover i.glyphicon { font-weight: normal; font-size: 20px; position: relative; color: var(--bgcolor-theme) }
                .category-container .box-right .product-item span.btn-call i.glyphicon { font-weight: normal; font-size: 19px; position: relative; color: var(--textcolor-theme) }

            .category-container .box-right .product-item span.btn-email-enquiry { float: right; margin: 9px 5px 0 0; cursor: pointer; color: var(--textcolor-theme); }
                .category-container .box-right .product-item span.btn-email-enquiry i.glyphicon:hover { color: var(--bgcolor-theme); }
                .category-container .box-right .product-item span.btn-email-enquiry i.glyphicon { font-weight: normal; font-size: 20px; position: relative; margin-right: 0; color: var(--textcolor-theme) }

            .category-container .box-right .product-item .product-feature { background-color: var(--rfq-bg); padding: 0 10px; font-size: 13px; display: table-cell; color: var(--textcolor-theme); margin-top: 5px; line-height: 1.1; height: 36px; vertical-align: middle; }
            .category-container .box-right .product-item .product-price { font-weight: bold; font-size: 18px; display: inline-block; float: right; margin-top: 0px; margin-right: 0px; background-color: var(--rfq-bg); padding: 6px 8px; }
            .category-container .box-right .product-item .product-new { background-color: var(--rfq-bg); padding: 3px 9px; font-size: 13px; display: inline-block; position: absolute; right: 0; top: 0; color: var(--textcolor-theme); }
            .category-container .box-right .product-item .product-hot { background-color: red; color: #fff; padding: 5px 40px; font-weight: bold; font-size: 14px; display: inline-block; position: absolute; right: -33px; top: 6px; transform: rotate(45deg); text-align: center; }
            .category-container .box-right .product-item .product-video { padding: 0; font-size: 22px; display: inline-block; margin-left: 5px; cursor: pointer; color: var(--textcolor-theme); float: left; margin-top: 5px; }
            .category-container .box-right .product-item .verified { width: 100%; margin: 5px auto; font-size: 12px; text-align: center; height: 20px; }
                .category-container .box-right .product-item .verified span { font-size: 13px; text-decoration: none !important; color: #AFB6CA; }
                .category-container .box-right .product-item .verified img { font-size: 10px !important; width: 20px; margin-left: 0px; margin-top: -3px; }

            .category-container .box-right .product-item a:hover .product-title { text-decoration: underline; color: var(--textcolor-theme); }
            .category-container .box-right .product-item a:hover .product-price { color: #333333; }

    .category-container .category-description .content .h2 { margin-top: 0; padding-top: 0; }

    .category-container .related-category-mobile { display: none; }
.cat-sell-with-us img { margin-top: 10px; width: 100%; }
.storefrontActivePage { background-color: var(--bgcolor-theme); font-weight: bold; color: #434343; }
#no-product-for-range { display: none; margin-top: 10px; }
.related-category-mobile .h2 { font-size: 24px; line-height: 26px; font-family: "Helvetica Neue",Helvetica,Arial,sans-serif; }

.rfq-tooltip [data-title]:after {
    height: auto;
    width: 550px;
    text-align: justify;
    content: attr(data-title);
    background-color: #EEEEEE;
    color: #434343;
    font-size: 13px;
    position: absolute;
    top: 10px;
    padding: 10px;
    left: 100%;
    opacity: 0;
    border: 1px solid #EEEEEE;
    z-index: 99999;
    visibility: hidden;
    box-shadow: 1px 1px 3px 0px grey;
}
.rfq-tooltip [data-title]:hover:after { opacity: 1; visibility: visible; }

/*RFQ*/
.rfq-form-open { font-size: 15px; background-color: var(--rfq-bg); padding: 25px 0px 25px 0px; margin-bottom: 25px; position: relative; width: 100%; margin-left: 0px; display: none; border-radius: 5px; -moz-border-radius: 5px; }

    .rfq-form-open .rfq-inner-container { width: 95%; margin: 0 auto;}

        .rfq-form-open .rfq-inner-container .icon-group { width: 98px; float: left; margin: 30px 10px 0 5px; }
            .rfq-form-open .rfq-inner-container .icon-group .icon { width: 60%; display: block; margin: 0 auto; }
            .rfq-form-open .rfq-inner-container .icon-group .text { text-align: center; color: var(--textcolor-theme); margin-top: 5px; }

        .rfq-form-open .rfq-inner-container .rfq-group-control { margin-left: 0px; float: left; vertical-align: middle; }
            .rfq-form-open .rfq-inner-container .rfq-group-control .rfq-label { font-weight: bold; display: inline-block; float: left; margin-top: 8px; }
            .rfq-form-open .rfq-inner-container .rfq-group-control .rfq-item { display: inline-block; float: left; margin-left: 6px; border: solid 1px #fff; }
            
            /*neededin*/
            .rfq-form-open .rfq-inner-container .rfq-group-control:nth-child(2n-1) { width: 60%; }
                .rfq-form-open .rfq-inner-container .rfq-group-control:nth-child(2n-1) .rfq-item { width: 64%; }

            /*Quantity*/
            .rfq-form-open .rfq-inner-container .rfq-group-control:nth-child(2n) { width: 33%; float: right; }
                .rfq-form-open .rfq-inner-container .rfq-group-control:nth-child(2n) .rfq-item { width: 45%; float: right; }

    .rfq-form-open .header { font-size: 25px; font-weight: bold; line-height: 1em; margin-top: 0px; color: var(--green) }

    .rfq-form-open .rfq-col-left { width: 50%; float: left }
    .rfq-form-open .rfq-col-right { width: 50%; float: right; }

    .rfq-form-open .green-text { color: var(--green); padding-top: 5px; }

    .rfq-form-open .text-title { font-weight: normal; padding-top: 8px; padding-bottom: 3px; }

    .rfq-form-open input[type='text'], .rfq-form-open textarea, .rfq-form-open select { border: solid 1px #fff; padding: 5px 5px; width: 100%; border-radius: 3px; height: 32px; }

        .rfq-form-open input[type='text']:focus, .rfq-form-open textarea:focus, .rfq-form-open select:focus { border: solid 1px var(--green); }

        .rfq-form-open input[type='text'].error, .rfq-form-open textarea.error, .rfq-form-open select.error { border: solid 1px var(--red) !important; }

    .rfq-form-open .error-msg { display: block; float: left; position: absolute; left: 6px; bottom: 2px; }

    .rfq-form-open textarea { width: 100%; height: 88px; }

    .rfq-form-open .rfq-button-get-quotes { background-color: var(--green); color: #fff; font-weight: bold; font-size: 16px; padding: 8px 40px; margin-top: 15px; border: none !important; border-radius: 5px; -moz-border-radius: 5px; }

/*CALLBACK REQUEST*/
.phone-reveal-modal .modal-dialog { width: 400px; }

    .phone-reveal-modal .modal-dialog .modal-content { background-color: #EFEFEF; padding: 30px 30px 25px 30px; border-radius: 0 !important; }

.phone-reveal-modal .message { font-size: 15px; font-family: 'proxima-nova'; text-align: center; margin-bottom: 12px; }

.phone-reveal-modal .phone-reveal-container .btn { width: 145px; border-radius: 0; background-color: #434343; padding-top: 8px; padding-bottom: 8px; }

.btn-submit-green { background-color: var(--green) !important; padding: 10px 20px 10px 20px; border-radius: 0; color: #fff; font-size: 15px; font-family: 'proxima-nova'; border: none; border-radius: 1px; }

.phone-reveal-textbox { font-size: 14px; padding: 6px; border-radius: 0px; margin-right: 5px; width: 100%; display: inline-block; }

.extra-info { margin-top: 30px; text-align: center; height: 0; display: none; margin-bottom: -22px; }

.small-text { font-family: 'proxima-nova'; font-size: 12px; position: relative; left: 0px; top: -2px; }

.revealed-phone-panel { margin-top: 20px; }

    .revealed-phone-panel .reveal-phone { font-size: 24px; text-decoration: underline; display: inline-block; margin-left: 8px; font-family: 'proxima-nova'; font-weight: bold; }

    .revealed-phone-panel i { font-size: 28px; display: inline-block; top: 6px; }

.phone-reveal-close { font-size: 16px; position: relative; float: right; top: -25px; right: -21px; cursor: pointer; }

#toast-container > .toast { opacity: 1; right: 10PX; font-family: 'proxima-nova'; font-size: 15px; }

.big-phone-number { text-align: center; font-size: 20px; font-weight: bold; }

    .big-phone-number .glyphicon { margin-right: 10px; top: 5px; }

hr { border: dashed 1px #888; margin-top: 25px; }
/*#endregion */

/*#region RFQ MODAL POPUP COMPONENT CSS */
a.disabled { cursor: not-allowed; color: #888; opacity: 0.5; }

.get-quotes-modal .modal-dialog { width: 70%; max-width:540px; overflow: hidden; position:static !important; }
    .get-quotes-modal .modal-dialog .modal-content { background-color: #EFEFEF; border-radius: 0 !important; overflow: hidden; border: none; }

#regForm { background-color: #ffffff; }
.rfq-spinner { font-size: 20px !important; color: #fff !important; position: relative; top: 1px; }

/* Hide all steps by default: */
.tab { text-align: left; padding: 20px 40px 20px 40px; height: 335px !important; position: relative; display: none; }
    .tab * { font-family: 'proxima-nova'; font-size: 16px; color: #888; }
    .tab select { width: 100%; padding: 7px 8px 8px 8px; border: 1px solid #aaaaaa; }
    .tab input, .tab textarea { padding: 8px 8px 8px 8px; width: 100%; border: 1px solid #aaaaaa; }
        .tab input.error, .tab textarea.error { border: solid 1px red; }
        .tab input:disabled { background-color: #ebebe4; color: #333 !important; -webkit-text-fill-color: #333 !important; }
    .tab .row { position: relative; margin-bottom: 10px; }
        .tab .row .error-msg { color: red; font-style: italic; font-size: 12px; position: absolute; right: 1px; bottom: -13px; z-index: 10 !important; text-align: right; }
        .tab .row .error-msg-textarea { color: red; font-style: italic; font-size: 12px; position: absolute; right: 0px; bottom: -20px; z-index: 10 !important; }
        .tab .row .error-msg-group { color: red; font-style: italic; font-size: 12px; position: absolute; right: 74px; bottom: -19px; z-index: 10 !important; }

.green-text-label { color: var(--green); font-weight: bold; margin: 15px 0px 5px 0px; }

.col-1 { width: 45%; text-align: right; padding-right: 15px; display: inline-block; margin-top: 5px; margin-bottom: 5px; }

.col-2 { width: 54%; text-align: left; display: inline-block; margin-top: 5px; margin-bottom: 5px; }
    .col-2 input[type='text'] { width: 100% !important; }

.btn-get-quotes { background-color: var(--green); padding: 8px 25px; color: #fff !important; font-weight: bold; margin: 0; display: inline-block; position: absolute; text-decoration: none !important; top: -25px; right: 20px; font-size: 16px; }
.rfq-close { position: absolute; right: 10px; top: 7px; color: #fff; font-size: 20px; cursor: pointer; }
#quotes-popup-first { width: 100%; max-width:100%; height: 90px; background-color: #434343; color: #FFFFFF; padding-top: 5px; padding-left: 10px; }
    #quotes-popup-first .h2, #quotes-popup-second .h2 { font-size: 30px; font-weight: bold; line-height: 0.3em; font-family: 'proxima-nova'; }
    #quotes-popup-first p { padding-top: 5px; font-family: 'proxima-nova'; line-height: 1.2em; font-size: 15px; }
#quotes-popup-second { width: 100%; max-width:100%; height: 80px; background-color: #434343; padding-top: 15px; padding-left: 20px; color: #FFFFFF; }

.money-icon{ display:none; }

/*IPAD REGULAR SIZE */
@media screen and (max-width: 1199px) { .category-container { width: 100% !important; max-width: 100% !important; padding: 0 10px !important; }
    .product-item, .product-item:nth-of-type(2n), .product-item:nth-of-type(4n) { margin: 0 1.67% 20px 0 !important; width: 32% !important; }
        .product-item:nth-of-type(3n) { margin: 0 0 20px 0 !important; }

    .box-left { width: 220px !important; float:left !important; }
    .box-right { width: calc(100% - 220px) !important; float:left !important; border: solid 0px black !important; margin: 0 auto !important; padding: 0 !important; }

    .rfq-form-open .rfq-inner-container { width: 95%; margin: 0 auto; overflow:hidden !important; }

    .rfq-form-open .rfq-col-left { display:none; }
    .rfq-form-open .rfq-col-right { width: 100% !important; float: none; margin-top:10px; }

    .rfq-form-open .header { width: 95%; }

    .rfq-form-open .rfq-inner-container .icon-group { width: 100px; float: left; margin: 10px 8px 0px 5px;}

    .related-articles {  }
        .related-articles ul li { width: 31% !important; display: inline-block !important; margin: 0 1.2% 15px 0 !important; box-sizing: border-box; height: auto !important; }

    /*CALLBACK REQUEST*/
    input:disabled, #rfq_catname { background-color: #ebebe4; color: #333 !important; -webkit-text-fill-color: #333 !important; }
        .tab * { font-size: 16px; }
        .tab .row { padding: 0 15px; }
            .tab .row .error-msg { font-size: 12px; right: 15px; bottom: -13px; }
            .tab .row .error-msg-textarea { font-size: 12px; right: 14px; bottom: -20px; }
            .tab .row .error-msg-group { font-size: 12px; right: 47px; bottom: -19px; }
        .tab input:disabled { background-color: #ebebe4; color: #333 !important; -webkit-text-fill-color: #333 !important; font-size: 18px !important; }
    .btn-group button.btn-primary { padding: 10px 6px !important; font-size: 14px !important; }
    .btn-get-quotes { padding: 8px 15px; top: -25px; right: 10px; }
    .col-1 { width: 44%; }
    .col-2 { width: 54%; }
    .rfq-close { right: 8px; top: 4px; font-size: 18px; }
    #quotes-popup-first { width: 100%; max-width: 100%; height: 60%; overflow: hidden; }
    #quotes-popup-second { width: 100%; max-width: 100%; height: 78px; overflow: hidden; }
    .green-text-label { font-size: 14px; }

    .category-container .box-right .product-item .supplier-logo { width: 95px; }

    .money-icon { display: inline-block; position: absolute; float: right; right: 2px; top: 20px; width: 50px; }

}

/*IPAD MEDIUM SIZE */
@media screen and (max-width: 768px) {

    .box-left { width: 100% !important; float: left !important; display: none !important; }
    .box-right { width: 100% !important; display: block !important; float: none !important; border: solid 0px black !important; margin: 0 auto !important; padding: 0 !important; }
    .related-articles ul li { width: 47% !important; height: auto !important; margin: 0 1.6% 15px 0 !important; }
        .related-articles ul li:nth-of-type(2n) { margin-right:0 !important; }

    .rfq-form-open { border-radius: 5px; }
        .rfq-form-open .rfq-button-get-quotes { border-radius: 5px; -moz-border-radius: 5px; }

        .rfq-form-open .header { font-size: 25px; width:calc(100% - 45px) }

        .rfq-form-open .rfq-col-left { display:none; }
        .rfq-form-open .rfq-col-right { margin-top:10px; }

    /*.modal-dialog { width: 70% !important; max-width: 100% !important; position:relative; margin:0 auto !important; }*/
    .modal-dialog { display: inline-block; width: 70% !important; margin: 0 auto !important; padding: 0 !important; position: static; }
    #filter-button { display: block; }
}

/*MOBILE */
@media screen and (max-width: 500px) {

    .product-item, .product-item:nth-of-type(3n), .product-item:nth-of-type(5n) { margin: 0 6% 20px 0 !important; width: 47% !important; }
        .product-item:nth-of-type(2n) { margin: 0 0 20px 0 !important; width: 47% !important; }

    .related-articles ul li { width: 100% !important; height: auto !important; margin: 0 0 20px 0 !important; }

    .rfq-form-open .rfq-col-left { float: none; margin: 0 auto !important; margin-bottom: 10px !important; }

    .rfq-form-open .rfq-inner-container .icon-group { width: 100px; float: left; margin: 10px 8px 0 5px; }
        .rfq-form-open .rfq-inner-container .icon-group .icon { width: 60%; display: block; margin: 0 auto; }

    /*neededin*/
    .rfq-form-open .rfq-inner-container .rfq-group-control:nth-child(2n-1) { width: 57%; }
        .rfq-form-open .rfq-inner-container .rfq-group-control:nth-child(2n-1) .rfq-item { width: 60%; }

    /*Quantity*/
    .rfq-form-open .rfq-inner-container .rfq-group-control:nth-child(2n) { width: 35%; float: right; }
        .rfq-form-open .rfq-inner-container .rfq-group-control:nth-child(2n) .rfq-item { width: 40%; float: right; }

    .rfq-tooltip [data-title]:after { display:none !important; }
    .rfq-tooltip [data-title]:hover:after { display:none !important;  }

    .rfq-form-open .rfq-inner-container .icon-group { width: 98px; float: left; margin: 30px 5px 0 5px; }
    .rfq-form-open .rfq-inner-container .icon-group:nth-of-type(3n) { margin-right:0 !important; }

    .modal-dialog { width: 100% !important; max-width:100% !important; position:fixed !important; top:0 !important; vertical-align:top;}

}



